# $Id$
# Authority: dag

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

Summary: Dirk Krause's tools and libraries
Name: dktools
Version: 2.2.24
Release: 1%{?dist}
License: BSD
Group: Applications/Tools
URL: http://dktools.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/project/dktools/dktools/dktools-%{version}/dktools-%{version}.zip
BuildRoot: %{_tmppath}/root-%{name}-%{version}-%{release}

BuildRequires: bzip2-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: net-snmp-devel gcc
BuildRequires: openssl-devel
BuildRequires: zlib-devel
Requires: perl(PDL)

%description
A set of tools for graphics conversion, text conversion, software
development, administration and printing and some general-purpose tools.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package -n perl-DKrause
Summary: Perl modules part of dktools
Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}

%description -n perl-DKrause
This package contains the Perl modules part of dktools.

%prep
%setup

%build
%configure --with-lzw --with-rpm
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" INSTALLSITEARCH="%{perl_vendorarch}" INSTALLSITEMAN3DIR="%{_mandir}/man3"

### Clean up buildroot
find %{buildroot} -name .packlist -o -name perllocal.pod -exec %{__rm} {} \;

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man1/*.1*
%doc %{_mandir}/man3/dk*.3*
%config %{_sysconfdir}/appdefaults
%config %{_sysconfdir}/appdefaults.createp
%config %{_sysconfdir}/appdefaults.createp.sample
%config %{_sysconfdir}/appdefaults.sample
%config %{_sysconfdir}/dktools/
%config %{_sysconfdir}/prqd/
%config %{_sysconfdir}/fsnmp/
%config %{_sysconfdir}/init.d/prqd
%config %{_sysconfdir}/init.d/rshdown
%config %{_sysconfdir}/init.d/useraud
%{_bindir}/*
%{_datadir}/dktools/
%{_datadir}/uc2lat-t/
%{_libdir}/dktools/
%{_libdir}/*.so.*
%{_sbindir}/prqd
%{_sbindir}/rshdown
%{_sbindir}/useraud

%files -n perl-DKrause
%defattr(-, root, root, 0755)
%doc %{_mandir}/man3/DKrause::*.3pm*
%{perl_vendorarch}/auto/DKrause/
%{perl_vendorarch}/DKrause/

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/bmeps.h
%{_includedir}/dk*.h
%{_includedir}/useraud.h
%{_libdir}/*.so

%changelog
* Wed Apr 25 2012 Dag Wieers <dag@wieers.com> - 2.2.24-1
- Initial package. (using DAR)
